%define shortname       wmaker
%define wmaker_vendor   crm
%define snapshot        a3c99bddc891cbd4cae233421920b83acc733186

# count incrementally snapshots of the prerel 0.95.3
%define snapshot_no     20120330

Name:           %{_real_vendor}-windowmaker-desktop
Version:        0.95.3
Release:        %mkrel 0.s%{snapshot_no}.6
Summary:        Mageia Window Maker desktop
License:        GPLv2+
Group:          Graphical desktop/WindowMaker
URL:            http://windowmaker.org/
Source0:        http://repo.or.cz/w/%{shortname}-%{wmaker_vendor}.git/snapshot/%{snapshot}.tar.gz
Patch0:         windowmaker-0.95.3-snapshot20120330-mga-disable-wmlib-build.patch
Patch1:         windowmaker-0.95.2-mga-%{_vendor}-preconfigured-desktop.patch

BuildRequires:  libxft-devel
BuildRequires:  libxinerama-devel
BuildRequires:  libhermes-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  libtiff-devel
BuildRequires:  libungif-devel
BuildRequires:  libxpm-devel
BuildRequires:  mawk
BuildRequires:  libPropList-devel
BuildRequires:  libxmu-devel

Conflicts:      default-windowmaker-desktop
Conflicts:      windowmaker < 0.95.3-0.snapshot20120330.4

Requires:       networkmanager-applet
Requires:       drakconf
Requires:       pulseaudio-utils
Requires:       wmsystemtray
Requires:       wmudmount
Requires:       mgaonline
Requires:       gvolwheel
Requires:       wmcalclock

Requires:       %{_real_vendor}-theme
Requires:       windowmaker-theme-%{_real_vendor}

Provides:       windowmaker-desktop = %{version}

%description
%{_vendor} preconfigured desktop for Window Maker.
* Mageia background
* Mageia Control Center
* WMSystemTray
- GVolWheel
- NetworkManager Applet
- MgaOnline applet
* WMudmount

%prep
%setup -q -n %{shortname}-%{wmaker_vendor}
%patch0 -p0
%patch1 -p0

%build
unset GNUSTEP_LOCAL_ROOT

LINGUAS=`(cd po ; echo *.po | sed 's/.po//g')`
export LINGUAS
autoreconf -fi
%configure2_5x --prefix=%_prefix \
    --sysconfdir=%{_sysconfdir}/X11 \
    --with-nlsdir=%{_datadir}/locale \
    --with-pixmapdir=%{_pixdir} \
    --with-gnustepdir=%{gnustepdir} \
    --enable-xinerama \
    --enable-usermenu \
    --with-pic \
    --with-x

%make

%install
install -D -p -m 0644 WindowMaker/autostart.sh %{buildroot}%{_datadir}/WindowMaker/autostart.sh
install -D -p -m 0644 WindowMaker/Defaults/WMState %{buildroot}%{_sysconfdir}/X11/WindowMaker/WMState
install -D -p -m 0644 WindowMaker/Defaults/WMWindowAttributes %{buildroot}%{_sysconfdir}/X11/WindowMaker/WMWindowAttributes
install -D -p -m 0644 WindowMaker/Defaults/WindowMaker %{buildroot}%{_sysconfdir}/X11/WindowMaker/WindowMaker

%files
%{_datadir}/WindowMaker/autostart.sh
%{_sysconfdir}/X11/WindowMaker/WMState
%{_sysconfdir}/X11/WindowMaker/WMWindowAttributes
%{_sysconfdir}/X11/WindowMaker/WindowMaker


%changelog

* Sun Apr 15 2012 kamil <kamil> 0.95.3-0.s20120330.6.mga2
+ Revision: 230838
- more cleanings of the Mga desktop configs

* Sat Apr 14 2012 kamil <kamil> 0.95.3-0.s20120330.5.mga2
+ Revision: 230782
- clean Mageia desktop configs

* Fri Apr 13 2012 kamil <kamil> 0.95.3-0.s20120330.4.mga2
+ Revision: 230730
- add requirement on themes in this package (moved from windowmaker)

* Fri Apr 13 2012 kamil <kamil> 0.95.3-0.s20120330.3.mga2
+ Revision: 230720
- clean desktop configuration

* Sun Apr 01 2012 kamil <kamil> 0.95.3-0.s20120330.2.mga2
+ Revision: 227698
- require mgaonline, not mgaapplet (mga#5181)
- require wmcalclock

* Sun Apr 01 2012 kamil <kamil> 0.95.3-0.s20120330.1.mga2
+ Revision: 227634
- imported package mageia-windowmaker-desktop

